Category: UI Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution:    

Description

I hadn't noticed that I could bulk edit issues and time entries for a long time.

I think it would be easier to notice the existence of the bulk edit feature if the edit button was displayed as "Bulk Edit" only when

multiple elements are selected in the context menu.

Currently, it is always displayed as "Edit".

After changes:  

issue-context-menu.png spent-time-context-menu.png 

Related issues:

Related to Redmine - Patch #36352: IssuesSystemTest#test_bulk_edit fails due ... Closed

Associated revisions

Revision 21248 - 2021-10-20 09:55 - Go MAEDA

Change the "Edit" label in the context menu to "Bulk Edit" when multiple issues are selected (#35770).

Patch by Mizuki ISHIKAWA.

Revision 21250 - 2021-10-20 10:09 - Go MAEDA

Update locales (#35770).

Revision 21324 - 2021-12-25 03:24 - Go MAEDA

IssuesSystemTest#test_bulk_edit fails due to r21248 (#35770, #36352).

Patch by Yuichi HARADA.

History

#1 - 2021-09-06 22:43 - Marius BĂLTEANU

Is not enough to show "Bulk edit" when multiple items are selected?

#2 - 2021-09-09 06:40 - Mizuki ISHIKAWA

- File change-button-name-to-bulk-edit.patch added

Marius BALTEANU wrote:

Is not enough to show "Bulk edit" when multiple items are selected?

 That's fine too.

I have attached a patch that uses the new label_bulk_edit term.

#3 - 2021-09-23 14:44 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-10-20 10:09 - Go MAEDA

- Subject changed from Change "Edit" label in the context menu to "Bulk Edit" when multiple selections. to Change "Edit" label in the context menu to
"Bulk Edit" when multiple issues are selected

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2021-12-24 10:22 - Go MAEDA

- Related to Patch #36352: IssuesSystemTest#test_bulk_edit fails due to r21248 added

#6 - 2022-03-27 05:00 - Go MAEDA

- Tracker changed from Patch to Feature

Files

issue-context-menu.png 69.2 KB 2021-08-17 Mizuki ISHIKAWA

spent-time-context-menu.png 56.2 KB 2021-08-17 Mizuki ISHIKAWA

change-button-name.patch 4.41 KB 2021-08-17 Mizuki ISHIKAWA

change-button-name-to-bulk-edit.patch 5.19 KB 2021-09-09 Mizuki ISHIKAWA

Powered by TCPDF (www.tcpdf.org)

2025-05-09 2/2

http://www.tcpdf.org

